|  | Home · All Classes · Modules

# QXmlErrorHandler Class Reference
[QtXml module]

The QXmlErrorHandler class provides an interface to report errors in XML data. More...

Inherited by QXmlDefaultHandler.

### Methods

- __init__ (self)
- __init__ (self, QXmlErrorHandler)
- bool error (self, QXmlParseException exception)
- QString errorString (self)
- bool fatalError (self, QXmlParseException exception)
- bool warning (self, QXmlParseException exception)

## Detailed Description

The QXmlErrorHandler class provides an interface to report errors in XML data.

If you want your application to report errors to the user or to perform customized error handling, you should subclass this class.

You can set the error handler with QXmlReader.setErrorHandler().

Errors can be reported using warning(), error() and fatalError(), with the error text being reported with errorString().

## Method Documentation

### QXmlErrorHandler.__init__ (self)

### QXmlErrorHandler.__init__ (self, QXmlErrorHandler)

### bool QXmlErrorHandler.error (self, QXmlParseException exception)

This method is abstract and should be reimplemented in any sub-class.

A reader might use this function to report a recoverable error. A recoverable error corresponds to the definiton of "error" in section 1.2 of the XML 1.0 specification. Details of the error are stored in exception.

The reader must continue to provide normal parsing events after invoking this function.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

### QString QXmlErrorHandler.errorString (self)

This method is abstract and should be reimplemented in any sub-class.

The reader calls this function to get an error string if any of the handler functions returns false.

### bool QXmlErrorHandler.fatalError (self, QXmlParseException exception)

This method is abstract and should be reimplemented in any sub-class.

A reader must use this function to report a non-recoverable error. Details of the error are stored in exception.

If this function returns true the reader might try to go on parsing and reporting further errors, but no regular parsing events are reported.

### bool QXmlErrorHandler.warning (self, QXmlParseException exception)

This method is abstract and should be reimplemented in any sub-class.

A reader might use this function to report a warning. Warnings are conditions that are not errors or fatal errors as defined by the XML 1.0 specification. Details of the warning are stored in exception.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.